Bug 133455 - After re-read the title/artist are sometimes corrupt
After re-read the title/artist are sometimes corrupt
Product: Fedora
Classification: Fedora
Component: sound-juicer (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
Depends On:
Blocks: 131589
  Show dependency treegraph
Reported: 2004-09-23 23:38 EDT by Havoc Pennington
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 0.5.13-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 15:47:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Havoc Pennington 2004-09-23 23:38:28 EDT
I reported upstream that after failing to download the CD info and
doing "unknown" the title/artist sometimes become corrupt, that
happened to me when the network was down temporarily.

However with sound-juicer-0.5.12-1 if I do the following they seem to
be corrupted:
 - have CD autoeject after ripping
 - put in new CD and close drawer
 - close the dialog (the open/close dialog)
 - click re-read

I'm not sure which of those steps are important. It may not happen if
you put in the new CD, then close dialog, then click re-read causing
the drawer to close itself; I think in that case it didn't happen.

This is all speculation though. Anyhow, with 0.5.10 it only got
corrupted that time the network was broken, with 0.5.12 it seems to
get corrupted pretty regularly.
Comment 1 Colin Walters 2004-09-27 13:42:55 EDT
This looks similar to this upstream bug:

Which is supposed to be fixed in CVS.  I uploaded a CVS snapshot, it'd
be great if you could test this.  I'll do so myself when I get home
and get access to my audio CDs.
Comment 2 Colin Walters 2004-09-30 15:47:18 EDT
Yeah, this works for me with 0.5.13, please reopen if you can still

Note You need to log in before you can comment on or make changes to this bug.